BUILD_PACKAGES flag doesn't work on make iso

Bug #1460480 reported by Sergey Kulanov on 2015-05-31
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Fuel for OpenStack
Medium
Sergey Kulanov

Bug Description

BUILD_PACKAGES flag from https://github.com/stackforge/fuel-main/blob/master/config.mk#L87 doesn't work as designed.

Packages will be always build locally in spite of BUILD_PACKAGES=0. This happens because of a number of targets refers rpm build target and probably with adding rpm late packages target https://github.com/stackforge/fuel-main/blob/master/packages/rpm/module.mk#L29-L30. The issue needs further investigation and optimization/re-factoring/discussion

* How to reproduce:

BUILD_PACKAGES=0 make iso

* Expected: not to build fuel packages locally, but use from upstream.

* We have: fuel-packages will be build locally.

Known issues:
1) While using BUILD_PACKAGES=0, docker module needs fuel-library package (https://github.com/stackforge/fuel-main/blob/master/docker/fuel-centos-build/fuel-centos.ks#L75) which doesn't exist in upstream.

2) Since some of the targets explicitly depends on $(BUILD_DIR)/packages/rpm/build.done, we need simply to create it on BUILD_PACKAGES=0, otherwise packages will be build. Probably this approach should be used: https://github.com/stackforge/fuel-main/blob/master/packages/module.mk#L105-L109

Changed in fuel:
assignee: nobody → Sergey Kulanov (skulanov)
status: New → In Progress
Changed in fuel:
status: Fix Committed → In Progress
Changed in fuel:
assignee: Sergey Kulanov (skulanov) → Vladimir Kuklin (vkuklin)
Changed in fuel:
assignee: Vladimir Kuklin (vkuklin) → Sergey Kulanov (skulanov)
Roman Vyalov (r0mikiam) on 2015-08-06
Changed in fuel:
status: In Progress → Triaged
milestone: 7.0 → 8.0

Change abandoned by Fuel DevOps Robot (<email address hidden>) on branch: master
Review: https://review.openstack.org/187126
Reason: This review is > 4 weeks without comment, and failed Jenkins the last time it was checked. We are abandoning this for now. Feel free to reactivate the review by pressing the restore button and leaving a 'recheck' comment to get fresh test results.

Fix proposed to branch: master
Review: https://review.openstack.org/228400

Changed in fuel:
status: Triaged → In Progress
Roman Vyalov (r0mikiam) on 2015-10-21
tags: added: fuel-build
Dmitry Pyzhov (dpyzhov) on 2015-10-22
tags: added: area-build
Roman Vyalov (r0mikiam) on 2015-10-22
tags: added: area-make
removed: make
Dmitry Pyzhov (dpyzhov) on 2015-10-26
tags: removed: area-make

Change abandoned by Sergey Kulanov (<email address hidden>) on branch: master
Review: https://review.openstack.org/228400

Reviewed: https://review.openstack.org/245770
Committed: https://git.openstack.org/cgit/openstack/fuel-agent/commit/?id=ac0450bca096243edf564357796f3205053f1af8
Submitter: Jenkins
Branch: master

commit ac0450bca096243edf564357796f3205053f1af8
Author: Sergey Kulanov <email address hidden>
Date: Mon Nov 16 15:31:14 2015 +0200

    Remove ironic-fa-deploy RPM package from mirror

    Since we are not going to deploy OpenStack under CentOS for now,
    we can remove ironic-fa-deploy RPM package from repo

    Related-bug: #1460480
    Change-Id: Ifa133feada71bd4a5334180e1985b478abed762a

Reviewed: https://review.openstack.org/242037
Committed: https://git.openstack.org/cgit/openstack/fuel-main/commit/?id=6e1f632f83da5443c7d46e49c80a9e9e6f652f96
Submitter: Jenkins
Branch: master

commit 6e1f632f83da5443c7d46e49c80a9e9e6f652f96
Author: Sergey Kulanov <email address hidden>
Date: Thu Nov 5 14:58:56 2015 +0200

    Fix BUILD_PACKAGES flag

    Build iso with BUILD_PACKAGES=0:

    * Late packages:
      - fuel-bootstrap-image,
      - fuel-docker-images,
      should be always built in spite of BUILD_PACKAGES flag,
      since they depend on the first level artifacts (packages)
      and are not updated in the mirrors yet;

    * Build fuel-bootstrap-image-builder package for astute container

    * Update requirements-*.txt file by adding all fuel packages only in case
      BUILD_PACKAGES=0

    * Update docker-images spec to support fakeroot rpmbuild approach

    Related-bug: #1460480

    Change-Id: I00ea15c9df9277d48a294f8379d87352c017becb

Changed in fuel:
status: In Progress → Fix Committed

Reviewed: https://review.openstack.org/255157
Committed: https://git.openstack.org/cgit/openstack/fuel-main/commit/?id=b34032b520ee57ddc8b0f88637089c7fd12ae379
Submitter: Jenkins
Branch: master

commit b34032b520ee57ddc8b0f88637089c7fd12ae379
Author: Sergey Kulanov <email address hidden>
Date: Wed Dec 9 11:31:46 2015 +0200

    Update fuel packages list

    * Align packages list with CentOS 7
    * Update packages regarding fuel-craetemirror deprecation
    * Add late artifacts

    Related-bug: #1460480

    Change-Id: I3956be2b24309864e308069865b461f0df1708e1

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers